Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
error while building kernel for HPPA (A550-PA8600-64bit)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures
View previous topic :: View next topic  
Author Message
lamnb
n00b
n00b


Joined: 21 Oct 2006
Posts: 1

PostPosted: Mon Oct 23, 2006 8:33 am    Post subject: error while building kernel for HPPA (A550-PA8600-64bit) Reply with quote

When I install Gentoo 2006.1 for this machine.
I has select stage3 with hppa1.1 instead of hppa2.0 (both packages in Univeral CD). Before, I had copy stage3 of hppa2.0 to build, but can not run emerge --sync for them.
So, while using hppa1.1, I still got some problem:
1. booting from CD for kernel 2.6.18
#uname -a
Linux livecd 2.6.16.18-pa11-livecd64 #1 Sun Aug 13 19:50:56 UTC 2006 parisc64 PA8600 (PCX-W+) GNU/Linux

But, when i run:
#make menuconfig
and choosing "CPU PA8000 and up" + "64-bit kernel"
I've this error:
*** End of Linux kernel configuration.
*** Execute 'make' to build the kernel or try 'make help'.

make[1]: warning: Clock skew detected. Your build may be incomplete.
/usr/src/linux-2.6.17.10-pa6/scripts/gcc-version.sh: line 11: hppa64-linux-gcc: command not found
/usr/src/linux-2.6.17.10-pa6/scripts/gcc-version.sh: line 12: hppa64-linux-gcc: command not found
/usr/src/linux-2.6.17.10-pa6/arch/parisc/Makefile:43: *** Sorry, your compiler is too old (0000). GCC v3.3 or above is required.. Stop.
make: *** [menuconfig] Error 2

Notes that, version of kernel is different :O

Please check if "2.6.16.18-pa11" is available for HPPA at the moment?

How can I fix this problem.

Thanks.
BL.
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Mon Oct 23, 2006 4:11 pm    Post subject: Reply with quote

Moved from Installing Gentoo to Gentoo on Alternative Architectures.
Better off in here.
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
HPRichard
Tux's lil' helper
Tux's lil' helper


Joined: 02 Feb 2005
Posts: 94
Location: KA, Germany

PostPosted: Mon Oct 23, 2006 8:15 pm    Post subject: Reply with quote

At first, there is the question whether you really need a 64bit kernel. The general advice is that you should only use 64bit kernels if you have 4 GB of RAM (or more) or if your machine does not boot 32bit kernels.
I don't know if the A550 is capable of booting 32bit kernels.

At second, you seem not having installed a compiler for 64bit hppa kernels. sys-devel/gcc-hppa64, which will soon be replaced by sys-devel/kgcc64, will do the trick.

The 2.6.16.18-pa11 kernel is outdated and thus no longer in portage. The 2.6.16 kernel series have a problem with i82596 based ethernet controllers used in many older hppa boxes, so you better use the version portage served to you.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum